Subscribed to
curl --request GET \
--url https://api.neynar.com/v2/farcaster/user/subscribed_to/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/farcaster/user/subscribed_to/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/farcaster/user/subscribed_to/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscribed_to": [
{
"chain": 8453,
"contract_address": "0xff63fc310d47ef80961056ac8df0b3f1a9e3ef58",
"creator": {
"auth_addresses": [
{
"address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"app": {
"fid": 3,
"object": "user_dehydrated",
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"display_name": "<string>",
"pfp_url": "<string>",
"score": 123,
"username": "<string>"
}
}
],
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"fid": 3,
"follower_count": 123,
"following_count": 123,
"object": "user",
"profile": {
"bio": {
"text": "<string>",
"mentioned_channels": [
{
"id": "<string>",
"name": "<string>",
"object": "channel_dehydrated",
"image_url": "<string>",
"viewer_context": {
"following": true
}
}
],
"mentioned_channels_ranges": [
{
"end": 1,
"start": 1
}
],
"mentioned_profiles": [
{
"fid": 3,
"object": "user_dehydrated",
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"display_name": "<string>",
"pfp_url": "<string>",
"score": 123,
"username": "<string>"
}
],
"mentioned_profiles_ranges": [
{
"end": 1,
"start": 1
}
]
},
"banner": {
"url": "<string>"
},
"live_at": {
"is_live": true,
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
},
"location": {
"latitude": 0,
"longitude": 0,
"address": {
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"state": "<string>",
"state_code": "<string>"
},
"radius": 1
}
},
"registered_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"verifications": [
"0x5a927ac639636e534b678e81768ca19e2c6280b7"
],
"verified_accounts": [
{
"username": "<string>"
}
],
"verified_addresses": {
"eth_addresses": [
"0x5a927ac639636e534b678e81768ca19e2c6280b7"
],
"primary": {
"eth_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"sol_address": "<string>"
},
"sol_addresses": [
"<string>"
]
},
"display_name": "<string>",
"experimental": {
"neynar_user_score": 123,
"deprecation_notice": "<string>"
},
"pfp_url": "<string>",
"pro": {
"expires_at": "2023-11-07T05:31:56Z",
"subscribed_at": "2023-11-07T05:31:56Z"
},
"score": 123,
"viewer_context": {
"blocked_by": true,
"blocking": true,
"followed_by": true,
"following": true
}
},
"expires_at": "2023-09-13T22:10:22.000Z",
"metadata": {
"art_url": "https://storage.withfabric.xyz/loom/403fdc10-95f3-4b25-9d77-5aac7ccb9fd1.jpg",
"symbol": "MMS",
"title": "/memes channel sub"
},
"object": "subscription",
"owner_address": "0xb6f6dce6000ca88cc936b450cedb16a5c15f157f",
"price": {
"initial_mint_price": "0",
"period_duration_seconds": 2592000,
"tokens_per_period": "350574998400000"
},
"protocol_version": 1,
"subscribed_at": "2023-09-13T22:10:22.000Z",
"tier": {
"id": 1,
"price": {
"initial_mint_price": "0",
"period_duration_seconds": 2592000,
"tokens_per_period": "3000000000000000"
}
},
"token": {
"address": null,
"decimals": 18,
"erc20": false,
"symbol": "ETH"
},
"provider_name": "fabric_stp",
"tiers": [
{
"id": 1,
"price": {
"initial_mint_price": "0",
"period_duration_seconds": 2592000,
"tokens_per_period": "3000000000000000"
}
}
]
}
]
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Subscribers
Subscribed to
Fetch what FIDs and contracts a FID is subscribed to.
GET
/
v2
/
farcaster
/
user
/
subscribed_to
/
Subscribed to
Node.js SDK
š SDK Method: fetchSubscribedToForFid Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Query Parameters
The unique identifier of a farcaster user or app (unsigned integer)
Required range:
x >= 0Example:
3
Required range:
x >= 1The provider of the subscription.
Available options:
fabric_stp Response
Success
Show child attributes
Show child attributes
Was this page helpful?
āI